Subject: Re: bug#62626: 29.0.60; describe-key errors on Edit → Paste from Kill Ring → [any item]

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Apr 2023 14:49:13 +0300

> From: Spencer Baugh <[email-masked]>
> Date: Sun, 02 Apr 2023 15:06:53 -0400
> 
> describe-key is also broken with context-menu-mode in a different way,
> btw.  It generates the help buffer fine, but the last key in the
> sequence is wrong.  It looks like read-key-sequence returns a numeric
> index into the menu for that key, counting up from from the last menu
> entry and starting at 1, and then the help buffer is interpreting that
> number as a key.

Please provide a recipe (and perhaps report this as a different bug,
unless my proposed solution happens to fix this one as well, by sheer
luck).

Thanks.